Commerce
Post v1publicstorefronts promotionsvalidate
POST
/
v1
/
public
/
storefronts
/
{slug}
/
promotions
/
validate
cURL
curl --request POST \
--url https://api.wazapin.com/v1/public/storefronts/{slug}/promotions/validate \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"code": "<string>",
"items": [
{
"product_slug": "<string>",
"quantity": 123,
"selected_options": {},
"variant_id": "<string>"
}
]
}
'const options = {
method: 'POST',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
code: '<string>',
items: [
{
product_slug: '<string>',
quantity: 123,
selected_options: {},
variant_id: '<string>'
}
]
})
};
fetch('https://api.wazapin.com/v1/public/storefronts/{slug}/promotions/validate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/public/storefronts/{slug}/promotions/validate"
payload = {
"code": "<string>",
"items": [
{
"product_slug": "<string>",
"quantity": 123,
"selected_options": {},
"variant_id": "<string>"
}
]
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"code": "<string>",
"discount_amount": 123,
"discount_type": "<string>",
"discount_value": 123,
"name": "<string>",
"subtotal_amount": 123,
"min_subtotal_amount": 123
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}Authorizations
Path Parameters
⌘I
cURL
curl --request POST \
--url https://api.wazapin.com/v1/public/storefronts/{slug}/promotions/validate \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"code": "<string>",
"items": [
{
"product_slug": "<string>",
"quantity": 123,
"selected_options": {},
"variant_id": "<string>"
}
]
}
'const options = {
method: 'POST',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
code: '<string>',
items: [
{
product_slug: '<string>',
quantity: 123,
selected_options: {},
variant_id: '<string>'
}
]
})
};
fetch('https://api.wazapin.com/v1/public/storefronts/{slug}/promotions/validate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/public/storefronts/{slug}/promotions/validate"
payload = {
"code": "<string>",
"items": [
{
"product_slug": "<string>",
"quantity": 123,
"selected_options": {},
"variant_id": "<string>"
}
]
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"code": "<string>",
"discount_amount": 123,
"discount_type": "<string>",
"discount_value": 123,
"name": "<string>",
"subtotal_amount": 123,
"min_subtotal_amount": 123
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}